Bug 1317081 - instructions for applying profile changes
instructions for applying profile changes
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Networking_Guide (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Mirek Jahoda
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-11 17:24 EST by Pete Travis
Modified: 2016-06-23 05:45 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-22 11:18:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete Travis 2016-03-11 17:24:52 EST
Document URL: https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-Using_the_NetworkManager_Command_Line_Tool_nmcli.html

Section Number and Name: 2.3. Using the NetworkManager Command Line Tool, nmcli

Describe the issue: 

I've found that both `nmcli con reload $ifname` and `nmcli con up $ifname` are required for changes made via `nmcli con modify` or `nmcli con edit` to take effect.   The nmcli usage guide implies this, but does not explicitly state it.

Suggestions for improvement: 

Add a small subsection along the lines of "to apply your changes, do..."

Additional information: 
This isn't rigorously tested, but the above process was definitely required when adding an IP address.
Comment 5 Mirek Jahoda 2016-06-22 11:18:04 EDT
   Hello,

from what I know, it works this way:

- if you made changes via "nmcli con edit" or "nmcli con modify" then you need only to run "nmcli con up $conname"
- if you manually edit ifcfg files (/etc/sysconfig/network-scripts/ifcfg-*) then you have to load them in the memory by running the "nmcli con reload $conname" command and bring up the connection again additionally

The Networking Guide does not need any correction in this case. I will close the bug for now, if you can reproduce this please reopen the bug, describe the steps, and provide NetworkManager version.

Kind regards,
--Mirek

Note You need to log in before you can comment on or make changes to this bug.